, Guest!
Already a Member? Login or Register.

Menu



Showcase


Due to the volume of spam happening on our forums, posting is now restricted to verified members only.  If you're not verified, drop us a note with your username.

Home > FlexCMS Support Forum > User Help > General Support Requests > Internal Server Error

FlexCMS Support Forum


Internal Server Error
Started October 22, 2005 @ 6:52pm by zinje
Post Message 
zinje


Posts: 7
 
Internal Server ErrorOctober 22, 2005 @ 6:52pm
I cannot even run the install.php file!

What am i doing wrong?
 

Last Edit: October 22, 2005 @ 6:58pm by zinje
otter
Administrator



Posts: 177
 
October 22, 2005 @ 7:19pm
Sorry you are having problems. I'm going to need some more info from you.

Can you tell me what you mean by not being able to run the install file?

Are you getting any errors and if so, what are they?

Are you trying to install on a linux or windows server?

Please include as much info as possible so we can better assist you.

Thank you.

Kel


ONLINE TRAINING CLASSES FOR FLEXCMS IN MAY: FlexCMS Basics (101), Sat., May, 15, 2010 & FlexCMS Blocks (Mon., May 10, 2010).
 
zinje


Posts: 7
 
October 22, 2005 @ 9:19pm
when i go to the directory of where the install file is I click on it and I get an internal server error. It does not even get to run. It is installed on a linux server.
 
DCSun
Administrator



Posts: 625
 
October 22, 2005 @ 9:52pm
Hi zinje,

This sounds like a permissions problem (I'm not sure why they couldn't just make an error message that says that!). Try changing the permissions of the install.php file to 644 and see if that helps you.

If you're not sure how to change the permissions, check the documentation for your FTP package and see if it will allow you to do it there, as that's usually the easiest way.

If that does solve your problems, go back and do the same for the rest of the php files after the installation is complete. If not, give us some further information about your system, such as the operating system and serving software, as well as your version of php.


David


FlexCMS v3.2 Has Been Released!
 

Last Edit: October 22, 2005 @ 9:54pm by DCSun
zinje


Posts: 7
 
October 22, 2005 @ 10:57pm
Just checked the file and it was already 644. So it is still not working. Am I suppose to modify something in the install.php file?

 
DCSun
Administrator



Posts: 625
 
October 22, 2005 @ 11:14pm
No, you shouldn't have to change anything in the install.php file. You can also try permissions of 777 and see if that helps.


David


FlexCMS v3.2 Has Been Released!
 
zinje


Posts: 7
 
October 23, 2005 @ 4:26am
changed to 777 and still not working Crying
 
otter
Administrator



Posts: 177
 
October 23, 2005 @ 12:23pm
Please give us the exact error message including the error number.

Also, you mentioned you have a linux server...is that RedHat, FreeBSD?

We also need to know what version of PHP and MySQL your server is running as well.

Thanks!

Kel


ONLINE TRAINING CLASSES FOR FLEXCMS IN MAY: FlexCMS Basics (101), Sat., May, 15, 2010 & FlexCMS Blocks (Mon., May 10, 2010).
 
zinje


Posts: 7
 
October 23, 2005 @ 1:22pm
www.canedafamily.com/home/install.php

Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator, webmaster@canedafamily.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.


Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.


--------------------------------------------------------------------------------

Apache/1.3.33 Server at www.canedafamily.com Port 80



Here is more information that i have available:

Operating system Linux
Kernel version 2.6.9
Machine Type i686
Apache version 1.3.33 (Unix)
PERL version 5.8.3
Path to sendmail /usr/sbin/sendmail
PHP version 4.3.11
MySQL version 4.0.22-standard



 

Last Edit: October 23, 2005 @ 1:23pm by zinje
DCSun
Administrator



Posts: 625
 
October 23, 2005 @ 3:41pm
FlexCMS generally has excellent success with Linux/Apache systems, and I can't see anything in the versions you listed that would prevent it from working.

If you would like, you can send FTP access information for your site to and we'll investigate further for you.

David


FlexCMS v3.2 Has Been Released!
 
zinje


Posts: 7
 
October 23, 2005 @ 5:11pm
Email Sent.......
 
DCSun
Administrator



Posts: 625
 
October 23, 2005 @ 6:04pm
Thanks for sending your FTP Information.

It appears your server wants your folders to be set to 755, and your php scripts set to 644. Once I set the folder and install file to those permissions I was able to run the installation script.


David


FlexCMS v3.2 Has Been Released!
 

Last Edit: October 23, 2005 @ 6:05pm by DCSun
zinje


Posts: 7
 
October 23, 2005 @ 7:45pm
ya i got it to work and had to change the the php files to 644. I am now playing around with it.

I sent another ticket #IJZ-73466-172 Can you please get back to me on that? I am really interested in your software.
 

Post Message 




Try & Buy FeedForAll - Easy to use RSS Feed Creator - great for iTunes users!

MEMBERS




All Contents, Code, Scripts and Technologies Copyright 2003-2009 FlexCMS.
All Rights Reserved. Software License Agreement

Processing Time: 0.07628 seconds.
 
Management Login

Powered By FlexCMS
Powered By FlexCMS